summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarek Szuba <marecki@gentoo.org>2019-03-28 10:48:27 +0000
committerMarek Szuba <marecki@gentoo.org>2019-03-28 10:51:04 +0000
commit219e8820126fc1107656952f47445620e3b4c450 (patch)
tree37f2ea0cde83da1c2c09e5a91db0598640a6eee6 /net-proxy
parentdev-util/pycharm-professional: Version bump (v2019.1) (diff)
downloadgentoo-219e8820126fc1107656952f47445620e3b4c450.tar.gz
gentoo-219e8820126fc1107656952f47445620e3b4c450.tar.bz2
gentoo-219e8820126fc1107656952f47445620e3b4c450.zip
net-proxy/obfs4proxy: bump to 0.0.9
Partly vendored because trying to package both yawning/utls and dsnet/compress resulted in them attempting to pull in a whole lot of additional dependencies, which we apparently do not need in obfs4proxy itself. Plus that way we were able to release this package without waiting for dev-go/go-crypto, dev-go/go-net and dev-go/go-sys to be bumped, although I hope the vendoring of these will only be temporary. Closes: https://bugs.gentoo.org/677460 Signed-off-by: Marek Szuba <marecki@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11
Diffstat (limited to 'net-proxy')
-rw-r--r--net-proxy/obfs4proxy/Manifest6
-rw-r--r--net-proxy/obfs4proxy/obfs4proxy-0.0.9.ebuild49
2 files changed, 55 insertions, 0 deletions
diff --git a/net-proxy/obfs4proxy/Manifest b/net-proxy/obfs4proxy/Manifest
index 61d8f5762d1..8fafd39890c 100644
--- a/net-proxy/obfs4proxy/Manifest
+++ b/net-proxy/obfs4proxy/Manifest
@@ -1,2 +1,8 @@
+DIST github.com-dsnet-compress-v0.0.1.tar.gz 9962544 BLAKE2B 58e5bd8eb7a50071da2764e90051f18fb3e4237b684a2584daf6ef7f74d4509525f09678feba3d6e8b0233cfd7a995ddd01374b138dbd2beaa2eab76218220dc SHA512 24b545fdfa6e5dcd942c9fc09614f755db341a16734f95dead2d344f06c74ca1c14e0b2674977066dee6094fd4d3bd7581ed9fe0285aeb1c62d2c68e0a3a095b
+DIST github.com-golang-crypto-b8fe1690c61389d7d2a8074a507d1d40c5d30448.tar.gz 1645371 BLAKE2B 31d89c31fbe42df036b548e8b43245b385faa72f8c1a35331540d874bf4e99be60dcd24c2e3b969c96f489c33e138c45229cf5e5179ffa5cb48dcd809020b74e SHA512 5475b27a5e2413ead25b1405e979bdd9c7e853cfea46b17b2957ec08960a0727312442985eeee2186d04cc3de592ddf65145d54bc7c3e3c626fb14c9bebc6441
+DIST github.com-golang-net-ed066c81e75eba56dd9bd2139ade88125b855585.tar.gz 968328 BLAKE2B 14d5542bd808b9571a8305a5d2054df3205419249724851e976e354dab653de2266b0b9d7b46b4fd846a7d810bbd510be54d0d98e6d6c5cfea5d19e8df5ae528 SHA512 f63654665e7221b089f1dd9b9603670481b1a59137cf0b5c4cbe7c77a6a66b7537dc03b7c412328d9186edb8a661e66a82ee9839b594d176bee6e7377f13cca4
+DIST github.com-golang-sys-afcc84fd7533758f95a6e93ae710aa945a0b7e73.tar.gz 1244035 BLAKE2B 5e32e26aca844d6d21b17b60546f908b0f881283d59357d1891417b8f221af42182f0a767e01a806e0d81f4283511e12028f654e505db7522f04c84f5546baac SHA512 87e4333e7ba519fe6e222c15ac8185151af3dc9be902112ae3e06e2a64d0ae05dfd37055c9493e9698a4f5fafed3ed45c44d18c4ebf6821d35bff351b2741f2b
+DIST gitlab.com-yawning-utls---v0.0.9-2.tar.gz 523515 BLAKE2B a56a95be268c094d9498f88c8e68d16403f26108db7b00dc8a4c8ab113654e47f2cae61f5d6d49ebd86e3057be293d3c9ba88d31ed91ef97a41901e5feaa61cb SHA512 1d9bdd0f27938e4a4cbb1a8ecc8f0aa5bb46270a267437e356a9fafceed36e0e28932ddac1a3807cecfddbe36b2c3190e7ca1d4edb02bda539560b506807281c
DIST obfs4proxy-0.0.6.tar.gz 67151 BLAKE2B 725dcbe3047f658d489af0ac0c48990b68edbd232c38bdc3b3e681e8bc22c4ed1affd5d6b5036a1bd4dbdd0f6d9786193c89731f5f81d826073d92480e82b9cc SHA512 fb1584cec5db09ffc1124497daffd1cab1f9895eb080334004356cd08ec463a65226187c8462d8fe60df30f4c8c321ae8fb38e0c7b8a64216ed9413927bcd303
DIST obfs4proxy-0.0.7.tar.gz 67479 BLAKE2B 00a9df9e004b4b18ac4703504f5f246fdece0b70ad85de9eeca6d814d78a8653d26b4c51867e361ef03e0f2cd23bc775b6117d7e46be4547ae6e0fa003b05d55 SHA512 57b71138a139b1821cf58c8e1965f207a6164a046bbfc8d6da828351d4f5bf4ecfb63ca5c69dba834c4e3a72362089d2a7fd296278115c0cae1c53c51d1b124d
+DIST obfs4proxy-0.0.9.tar.gz 84896 BLAKE2B 39a81fc7a9f7701f5b8aa09d78fea48c3bf9b81febabd7aa9634b5e86bfa063479053f00b3a3f48fd3661ad3e4dee7e5165567acc06952e20d3d397c633a08a6 SHA512 a3c80f72519a39947a3ebf36c029eeed2fbc652e0d825b25510f1817ebde505d65c83e1248e38912553e84c7e73b0d733a32b625f501a53f74be12711eba0009
diff --git a/net-proxy/obfs4proxy/obfs4proxy-0.0.9.ebuild b/net-proxy/obfs4proxy/obfs4proxy-0.0.9.ebuild
new file mode 100644
index 00000000000..57404950600
--- /dev/null
+++ b/net-proxy/obfs4proxy/obfs4proxy-0.0.9.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+EGO_SRC=gitlab.com/yawning/obfs4.git
+EGO_PN=${EGO_SRC}/...
+
+EGO_VENDOR=(
+ "github.com/dsnet/compress v0.0.1"
+ "gitlab.com/yawning/utls.git v0.0.9-2 gitlab.com/yawning/utls/-"
+ # Newer versions of packages which are in the tree
+ "golang.org/x/crypto b8fe1690c61389d7d2a8074a507d1d40c5d30448 github.com/golang/crypto"
+ "golang.org/x/net ed066c81e75eba56dd9bd2139ade88125b855585 github.com/golang/net"
+ "golang.org/x/sys afcc84fd7533758f95a6e93ae710aa945a0b7e73 github.com/golang/sys"
+)
+
+inherit golang-build golang-vcs-snapshot
+
+DESCRIPTION="An obfuscating proxy supporting Tor's pluggable transport protocol obfs4"
+HOMEPAGE="https://gitlab.com/yawning/obfs4"
+SRC_URI="https://gitlab.com/yawning/obfs4/-/archive/${P}/obfs4-${P}.tar.gz -> ${P}.tar.gz
+ ${EGO_VENDOR_URI}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE=""
+
+DEPEND=">=dev-go/ed25519-0_pre20170117
+ >=dev-go/go-text-0.3.0
+ >=dev-go/goptlib-1.0.0
+ >=dev-go/siphash-1.2.1"
+RDEPEND=""
+
+src_compile() {
+ golang-build_src_compile
+ local binfile=$(find "${T}" -name a.out)
+ [[ -x ${binfile} ]] || die "a.out not found"
+ cp -a ${binfile} obfs4proxy
+}
+
+src_install() {
+ default
+ dobin obfs4proxy || die "install failed"
+ cd src/${EGO_SRC}
+ doman doc/obfs4proxy.1 || die "install failed"
+ dodoc README.md ChangeLog doc/obfs4-spec.txt || die "install failed"
+}